AnsweredAssumed Answered

JS API 4.14 Download Package different to CDN ??

Question asked by michal.gasparovic@bhp.com_bhp on Feb 19, 2020
Latest reply on Feb 20, 2020 by michal.gasparovic@bhp.com_bhp

Recently I've been developing application against the CDN 4.14 version (https://js.arcgis.com/4.14)

without any issues, but when I packaged the app and released it while using the hosted API 4.14 downloaded from https://esrisoftware.esri.com/akdlm/software/ArcGIS_JavaScript/4.14/arcgis_js_v414_api.zip.... I'm getting the errors, whereas while using the online one it works all fine... Also switching back to locally hosted 4.13 works ok, apart from the bug where turning off the labels via labelsVisible is not working for 2D map...

core.js:4002 ERROR RangeError: Maximum call stack size exceeded
at l (init.js:215)
at k (init.js:217)
at l (init.js:217)
at k (init.js:217)
at l (init.js:217)
at k (init.js:217)
at l (init.js:217)
at k (init.js:217)
at l (init.js:217)
at k (init.js:217)

 

Guys @ESRI, are you 100% sure that the 4.14 downloadable package is the same as the one that's hosted on your servers?!?

 

The issue is when I'm reinitializing the 2D map to 3D, apparently loading the elevation info seems to be the problem. Once switched back to 2D, the map works ok. Again, I don't experience these issues with the 4.14 hosted at js.arcgis.com...

 

Thank you

Outcomes